import {
    isNumber,
    isString
} from "lightdash";

/**
 * Makes sure a given value is pixels
 *
 * @private
 * @param {any} val
 * @returns {string}
 */
const toPixels = val => isNumber(val) ? val + "px" : val;

/**
 * Makes sure a given pixels-value is a number
 *
 * @private
 * @param {any} val
 * @returns {number}
 */
const fromPixels = val => isString(val) ? Number(val.replace("px", "")) : val;

export {
    toPixels,
    fromPixels
};
